fat_plot(rawsynchronous_errors,'k-');
papersize(5);
hold;
fat_plot(rawaio_errors,'b-');
fat_plot(rawpkthreads_errors,'g-');
fat_plot(mmap2_errors,'c-');
fat_plot(synchronous_errors,'r-');
fat_plot(aioread_errors,'m-');
%#axis([1 70 0 10])
axis([1 70 0 100])
legend(sprintf('Raw/Pread (%d)', rawsynchronous_best), sprintf('Raw/AIO (%d)',rawaio_best), sprintf('Raw/Threads (%d)', rawpkthreads_best), sprintf('FS/Mmap (%d)', mmap2_best), sprintf('FS/Read (%d)', synchronous_best), sprintf('FS/AIO (%d)', aioread_best), 2);
title('Number of errors per stream (strict timetable).');
xlabel('Number of streams');
ylabel('Number of errors');
print -djpeg100 'err1'

figure;
papersize(5);
fat_plot(rawsynchronous_ferr,'k-');
hold;
fat_plot(rawaio_ferr,'b-');
fat_plot(rawpkthreads_ferr,'g-');
fat_plot(mmap2_ferr,'c-');
fat_plot(synchronous_ferr,'r-');
fat_plot(aioread_ferr,'m-');
legend(sprintf('Raw/Pread (%d)', rawsynchronous_fbest), sprintf('Raw/AIO (%d)',rawaio_fbest), sprintf('Raw/Threads (%d)', rawpkthreads_fbest), sprintf('FS/Mmap (%d)', mmap2_fbest), sprintf('FS/Read (%d)', synchronous_fbest), sprintf('FS/AIO (%d)', aioread_fbest), 2);
title('Number of errors per stream (flexible timetable).');
xlabel('Number of streams');
ylabel('Number of errors');
axis([1 70 0 100])
% axis([1 70 0 100])
print -djpeg100 'err2'

figure;
papersize(5);
% fat_plot(rawaio_since);
% fat_plot(rawpkthreads_since,'g');
fat_plot(synchronous_since,'r');
hold;
fat_plot(rawsynchronous_since,'b');
level = [ 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333, 5.333 ];
fat_plot(level,'g')
axis([1 100 4 7]) 
title('Variability of service times.');
xlabel('Round');
ylabel('Time');
legend(sprintf('FS/Read (%d streams)',synchronous_var),sprintf('Raw/Pread (%d streams)', rawsynchronous_var),'Cutoff',4);
print -djpeg100 'var'
